<template>
  <div class="ui-row">
    <slot />
  </div>
</template>
<style lang="scss">

@import "~assets/mixins.scss";

.ui-row {
  display: flex;
  flex-direction: row;
  
  &.absolute-full {
    @include absolute-full;
  }

  &.fixed-full {
    @include fixed-full;
  }

  &.padding-between {
    @include not-mobile {
      @include row-padding-between;
    }
    @include mobile-only {
      @include column-padding-between;
      
      &.wrap-reverse {
        @include column-padding-between-reverse;
      }
    }
  }

  &.space-between {
    justify-content: space-between;
  }

  @include mobile-only {
    flex-wrap: wrap;
    
    &.wrap-reverse {
      flex-wrap: wrap-reverse;
    }
  }
}


</style>
<script>

export default {
  data() {
    return {};
  },
  computed: {

  },
  methods: {

  },
}
  
</script>
